Name:          geoapi
Version:       3.0.0
Release:       1%{?dist}
Summary:       Java interfaces for OGC/ISO standard
License:       OGC
URL:           http://www.geoapi.org/
# svn checkout svn://svn.code.sf.net/p/geoapi/code/tags/3.0.0 geoapi-3.0.0
# tar cJf geoapi-3.0.0.tar.xz geoapi-3.0.0
Source0:       %{name}-%{version}.tar.xz
BuildRequires: java-devel
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.unitsofmeasurement:unit-api)
BuildRequires: maven-local
BuildArch:     noarch

%description
The development community in building GIS solutions is sustaining an enormous
level of effort. The GeoAPI project aims to reduce duplication and increase
interoperability by providing neutral, interface-only APIs derived from OGC/ISO
Standards.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

# Disable org.apache.maven.wagon:wagon-webdav-jackrabbit:1.0-beta-7
%pom_xpath_remove "pom:project/pom:build/pom:extensions"
# Disable source jar
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-source-plugin tools
# Disable javadoc jar
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"
# Disable classpath in manifest
%pom_xpath_set "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-jar-plugin']/pom:configuration/pom:archive/pom:manifest/pom:addClasspath" false

# Use newer measure apis
%pom_remove_dep javax.measure:jsr-275
%pom_add_dep org.unitsofmeasurement:unit-api
sed -i "s|javax.measure.unit|org.unitsofmeasurement.unit|" $(find -name "*.java")
sed -i "s|javax.measure.quantity|org.unitsofmeasurement.quantity|" $(find -name "*.java")
# Require old javax.measure apis (0.9.3) definition (latest 0.9.6)
%pom_disable_module %{name}-conformance

# Disable default-tools.jar profile
%pom_xpath_remove "pom:project/pom:profiles" tools
# Add require build dep
%pom_add_dep com.sun:tools:1.7.0 tools

sed -i 's/\r//' LICENSE.txt README.txt

%build

%mvn_file :%{name} %{name}
%mvn_file :tools %{name}-tools
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Sat Oct 19 2013 gil cattaneo <puntogil@libero.it> 3.0.0-1
- initial rpm